AbstractFullBinding (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.binding

## [Java] Class AbstractFullBinding

- org.codehaus.groovy.binding.AbstractFullBinding

- All Implemented Interfaces and Traits:
    FullBinding

      public abstract class AbstractFullBinding

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Closure` | `converter` |
    `protected Closure` | `reverseConverter` |
    `protected SourceBinding` | `sourceBinding` |
    `protected TargetBinding` | `targetBinding` |
    `protected Closure` | `validator` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Closure` | `getConverter()`
    `Closure` | `getReverseConverter()`
    `SourceBinding` | `getSourceBinding()`
    `TargetBinding` | `getTargetBinding()`
    `Closure` | `getValidator()`
    `void` | `reverseUpdate()`
    `void` | `setConverter(Closure converter)`
    `void` | `setReverseConverter(Closure reverseConverter)`
    `void` | `setSourceBinding(SourceBinding sourceBinding)`
    `void` | `setTargetBinding(TargetBinding targetBinding)`
    `void` | `setValidator(Closure validator)`
    `void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Closure converter

    - #### protected Closure reverseConverter

    - #### protected SourceBinding sourceBinding

    - #### protected TargetBinding targetBinding

    - #### protected Closure validator

  - ### Method Detail

    - #### public Closure getConverter()

    - #### public Closure getReverseConverter()

    - #### public SourceBinding getSourceBinding()

    - #### public TargetBinding getTargetBinding()

    - #### public Closure getValidator()

    - #### public void reverseUpdate()

    - #### public void setConverter(Closure converter)

    - #### public void setReverseConverter(Closure reverseConverter)

    - #### public void setSourceBinding(SourceBinding sourceBinding)

    - #### public void setTargetBinding(TargetBinding targetBinding)

    - #### public void setValidator(Closure validator)

    - #### public void update()